package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterqualityIndustry;
import com.lightinit.hsdatashow.entity.WaterqualityIndustryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WaterqualityIndustryMapper {
    long countByExample(WaterqualityIndustryExample example);

    int deleteByExample(WaterqualityIndustryExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterqualityIndustry record);

    int insertSelective(WaterqualityIndustry record);

    List<WaterqualityIndustry> selectByExample(WaterqualityIndustryExample example);

    WaterqualityIndustry selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterqualityIndustry record, @Param("example") WaterqualityIndustryExample example);

    int updateByExample(@Param("record") WaterqualityIndustry record, @Param("example") WaterqualityIndustryExample example);

    int updateByPrimaryKeySelective(WaterqualityIndustry record);

    int updateByPrimaryKey(WaterqualityIndustry record);

    List<WaterqualityIndustry> getWaterqualityIndustry(@Param("year") int year);
}